> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Get specific team — Retrieve details of a specific team. Use when syncing team structure between OpenCX and your organisation's identity/HR source of truth.

# Get specific team



## OpenAPI

````yaml get /teams/{teamId}
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /teams/{teamId}:
    get:
      summary: Get specific team
      description: Retrieve details of a specific team
      operationId: getTeam
      parameters:
        - schema:
            type: string
          in: path
          name: teamId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/GroupDto'
                  - type: 'null'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    GroupDto:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/GroupDto'
      type: object
      properties:
        id:
          type: string
        organization_id:
          type: string
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        is_support_enabled:
          type: boolean
        support_office_hours_id:
          anyOf:
            - type: string
            - type: 'null'
        support_assignment_strategy:
          type: string
          enum:
            - least-busy
            - round-robin
            - unassigned
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
      required:
        - id
        - organization_id
        - name
        - description
        - is_support_enabled
        - support_office_hours_id
        - support_assignment_strategy
        - created_at
        - updated_at
        - deleted_at
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````